package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class MusicGroupOrganizationCourseSettingsDetail {
    @ApiModelProperty(value="")
    private Integer id;

    @ApiModelProperty(value="")
    private Integer musicGroupOrganizationCourseSettingsId;

    /**
    * 课程类型
    */
    @ApiModelProperty(value="课程类型")
    private CourseSchedule.CourseScheduleType courseType;

    /**
    * 课程总时间
    */
    @ApiModelProperty(value="课程总时间")
    private Integer courseTotalMinuties;

    /**
    * 单价
    */
    @ApiModelProperty(value="单价")
    private BigDecimal unitPrice = BigDecimal.ZERO;

    /**
    * 总排课次数
    */
    @ApiModelProperty(value="总排课次数")
    private Integer courseTotalNum;

    /**
    * 课程原价
    */
    @ApiModelProperty(value="课程原价")
    private BigDecimal courseOriginalPrice=BigDecimal.ZERO;

    /**
    * 课程现价
    */
    @ApiModelProperty(value="课程现价")
    private BigDecimal courseCurrentPrice=BigDecimal.ZERO;

    /**
    * 是否学生可选
    */
    @ApiModelProperty(value="是否学生可选")
    private Boolean isStudentOptional;

    @ApiModelProperty(value="")
    private Date createTime;

    @ApiModelProperty(value="")
    private Date updateTime;

    public Integer getCourseTotalNum() {
        return courseTotalNum;
    }

    public void setCourseTotalNum(Integer courseTotalNum) {
        this.courseTotalNum = courseTotalNum;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getMusicGroupOrganizationCourseSettingsId() {
        return musicGroupOrganizationCourseSettingsId;
    }

    public void setMusicGroupOrganizationCourseSettingsId(Integer musicGroupOrganizationCourseSettingsId) {
        this.musicGroupOrganizationCourseSettingsId = musicGroupOrganizationCourseSettingsId;
    }

    public CourseSchedule.CourseScheduleType getCourseType() {
        return courseType;
    }

    public void setCourseType(CourseSchedule.CourseScheduleType courseType) {
        this.courseType = courseType;
    }

    public Integer getCourseTotalMinuties() {
        return courseTotalMinuties;
    }

    public void setCourseTotalMinuties(Integer courseTotalMinuties) {
        this.courseTotalMinuties = courseTotalMinuties;
    }

    public BigDecimal getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(BigDecimal unitPrice) {
        this.unitPrice = unitPrice;
    }

    public BigDecimal getCourseOriginalPrice() {
        return courseOriginalPrice;
    }

    public void setCourseOriginalPrice(BigDecimal courseOriginalPrice) {
        this.courseOriginalPrice = courseOriginalPrice;
    }

    public BigDecimal getCourseCurrentPrice() {
        return courseCurrentPrice;
    }

    public void setCourseCurrentPrice(BigDecimal courseCurrentPrice) {
        this.courseCurrentPrice = courseCurrentPrice;
    }

    public Boolean getIsStudentOptional() {
        return isStudentOptional;
    }

    public void setIsStudentOptional(Boolean isStudentOptional) {
        this.isStudentOptional = isStudentOptional;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}